Cocoon API: Class XSLTProcessor

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xslt
Class XSLTProcessor

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xslt.XSLTProcessor

All Implemented Interfaces:
  Actor, Cacheable, Changeable, Defaults, Processor, Status

public class XSLTProcessor
extends java.lang.Object
implements Actor, Processor, Status, Defaults, Cacheable

This class implements an XSLT processor.

Version:
  $Revision: 1.26 $ $Date: 2001/01/19 00:23:48 $
Author:
  Stefano Mazzocchi

Fields inherited from interface org.apache.cocoon.Defaults
`BROWSERS_PROP, CACHE_DEFAULT, CACHE_PROP, COCOON_FORMAT_PI, COCOON_PROCESS_PI, DEFAULT_BROWSER, DISABLE_CACHING_PI, ERROR_INTERNALLY, FORMATTER_PROP, HOME, INIT_ARG, INTERPRETER_PROP, LOG, LOG_LEVEL, LOOPS, NAME, OUTPUTTING, PARSER_DEFAULT, PARSER_PROP, PROCESSOR_PROP, PRODUCER_PROP, PROFILER_DEFAULT, PROFILER_PROP, PROPERTIES, SHOW_STATUS, STATUS_URL, STATUS_URL_DEFAULT, STORE_DEFAULT, STORE_PROP, STYLESHEET_PI, TRANSFORMER_DEFAULT, TRANSFORMER_PROP, VERSION, WHOLE_REQUEST, YEAR`

Constructor Summary
`XSLTProcessor()`

Method Summary
`java.lang.String` | `getStatus()` Returns information about the status of the implementing class.
`boolean` | `hasChanged(java.lang.Object context)` Returns false if the requested resource hasn't changed, true otherwise.
`void` | `init(Director director)` Initialize the actor by indicating their director.
`boolean` | `isCacheable(javax.servlet.http.HttpServletRequest request)` Returns whether this request is suitable for cacheing.
`org.w3c.dom.Document` | `process(org.w3c.dom.Document document, java.util.Dictionary parameters)` Process the DOM tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTProcessor

    public XSLTProcessor()

Method Detail

### init

    public void init(Director director)

  Description copied from interface: `Actor`
  Initialize the actor by indicating their director.
  Specified by:
    `init` in interface `Actor`

### process

    public org.w3c.dom.Document process(org.w3c.dom.Document document,
                                        java.util.Dictionary parameters)
                                 throws java.lang.Exception

  Description copied from interface: `Processor`
  Process the DOM tree. The returned tree is allowed to be either a copy or the modified input tree.
  Specified by:
    `process` in interface `Processor`

### hasChanged

    public boolean hasChanged(java.lang.Object context)

  Description copied from interface: `Changeable`
  Returns false if the requested resource hasn't changed, true otherwise. This method is called by the cache system to ensure the validity of the cached response. It is the producer responsibility to provide the fastest possible implementation of this method or, whether this is not possible and the costs of the change evaluation is comparable to the production costs, to return true directly with no further delay, thus reducing the evaluation overhead to a minimum. This method is guaranteed to be called after at least a single call to any production methods getStream or getDocument. The context is the trigger of the changeable point and may differ between implementations.
  Specified by:
    `hasChanged` in interface `Changeable`

### isCacheable

    public boolean isCacheable(javax.servlet.http.HttpServletRequest request)

  Description copied from interface: `Cacheable`
  Returns whether this request is suitable for cacheing.
  Specified by:
    `isCacheable` in interface `Cacheable`

### getStatus

    public java.lang.String getStatus()

  Description copied from interface: `Status`
  Returns information about the status of the implementing class. Note: this is use instead of the usual `toString()` method because some of these methods are declared final in some classes in JDK 1.1.
  Specified by:
    `getStatus` in interface `Status`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.